<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Nano102_112 Series BSP: StdDriver/src/crc.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Nano102_112 Series BSP
   &#160;<span id="projectnumber">V3.03.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for  Nano102_112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">crc.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Nano 102/112 series CRC driver source file.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&quot;</code><br />
</div>
<p><a href="crc_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gadf2a1ac5fbf128e350b9c381e63e7a62"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadf2a1ac5fbf128e350b9c381e63e7a62">CRC_Open</a> (uint32_t u32Mode, uint32_t u32Attribute, uint32_t u32Seed, uint32_t u32DataLen)</td></tr>
<tr class="memdesc:gadf2a1ac5fbf128e350b9c381e63e7a62"><td class="mdescLeft">&#160;</td><td class="mdescRight">CRC Open.  <a href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadf2a1ac5fbf128e350b9c381e63e7a62">More...</a><br /></td></tr>
<tr class="separator:gadf2a1ac5fbf128e350b9c381e63e7a62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc59b55387534047fb3bd2d908eaf012"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc59b55387534047fb3bd2d908eaf012">CRC_StartDMATransfer</a> (uint32_t u32SrcAddr, uint32_t u32ByteCount)</td></tr>
<tr class="memdesc:gafc59b55387534047fb3bd2d908eaf012"><td class="mdescLeft">&#160;</td><td class="mdescRight">CRC Start DMA transfer.  <a href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc59b55387534047fb3bd2d908eaf012">More...</a><br /></td></tr>
<tr class="separator:gafc59b55387534047fb3bd2d908eaf012"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf0156b5936a304b688e9309235bf2541"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf0156b5936a304b688e9309235bf2541">CRC_GetChecksum</a> (void)</td></tr>
<tr class="memdesc:gaf0156b5936a304b688e9309235bf2541"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get CRC Checksum.  <a href="group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf0156b5936a304b688e9309235bf2541">More...</a><br /></td></tr>
<tr class="separator:gaf0156b5936a304b688e9309235bf2541"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Nano 102/112 series CRC driver source file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>7 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>14/11/27 11:50a </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="crc_8c_source.html">crc.c</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Oct 6 2020 19:17:53 for Nano102_112 Series BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
